%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Function: [FX, GradFX] = scopt_mnlogistic_fx_eval2(X, What, Yhat)
%%% Purpose: Evaluate the objective value and its gradient vector.
%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [FX, GradFX] = scopt_mnlogistic_fx_eval2(X, What, Yhat, TN)

if nargout > 1
    [FX, GradFX]  = scopt_logistic_dfx_eval(@scopt_mnlogistic_fx_eval, ...
                                            X, What, Yhat, TN);
else
    FX = scopt_mnlogistic_fx_eval(X, What, Yhat, TN);
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% END OF IMPLEMENTATION.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%